## node-knockout-transformations 2.1.0

=== Makefile ===
PATH := ${PATH}:./node_modules/.bin

build: lint test dist/knockout-transformations.min.js

.PHONY: lint
lint:
	@jshint lib/*.js test/*.js
	@jscs lib/*.js test/*.js

.PHONY: test
test:
	@mocha

dist/knockout-transformations.js: package.json lib/*
	@(echo '/*!' &&\
	  cat LICENSE &&\
	  echo '\n*/' &&\
	  cat lib/map.js &&\
	  cat lib/filter.js &&\
	  cat lib/sortBy.js &&\
	  cat lib/indexBy.js) > $@

dist/knockout-transformations.min.js: dist/knockout-transformations.js
	@(echo '/*!' &&\
	  cat LICENSE &&\
	  echo '\n*/' &&\
	  uglifyjs dist/knockout-transformations.js) > $@

.PHONY: git-dirty-check
git-dirty-check:
ifneq ($(shell git describe --always --dirty | grep -- -dirty),)
	$(error Working tree is dirty, please commit or stash your changes, then try again)
endif

.PHONY: release-%
release-%: git-dirty-check lint test dist/knockout-transformations.min.js
	git add dist/knockout-transformations*.js && git commit -m "Build distribution files"
	npm version $*
	@echo $* release ready to be publised to NPM
	@echo Remember to push tags

=== debian/changelog ===
node-knockout-transformations (2.1.0-2) unstable; urgency=medium

  [ Daniel Ring ]
  * Mark package as Multi-Arch: foreign

  [ Paolo Greppi ]
  * Update Vcs fields for migration to https://salsa.debian.org/

 -- Daniel Ring <dring@wolfishly.me>  Mon, 31 Dec 2018 14:27:29 -0800

node-knockout-transformations (2.1.0-1) unstable; urgency=low

  * Initial release (Closes: #886092)

 -- Daniel Ring <dring@wolfishly.me>  Mon, 01 Jan 2018 20:14:16 -0800

=== debian/control ===
Source: node-knockout-transformations
Section: javascript
Priority: optional
Maintainer: Debian Javascript Maintainers <pkg-javascript-devel@lists.alioth.debian.org>
Uploaders: Daniel Ring <dring@wolfishly.me>
Build-Depends:
 debhelper (>= 12)
 , dh-buildinfo
 , nodejs
 , uglifyjs
Standards-Version: 4.3.0
Homepage: https://github.com/One-com/knockout-transformations
Vcs-Git: https://salsa.debian.org/js-team/node-knockout-transformations.git
Vcs-Browser: https://salsa.debian.org/js-team/node-knockout-transformations

Package: node-knockout-transformations
Architecture: all
Multi-Arch: foreign
Depends:
 ${misc:Depends}
 , nodejs
 , node-knockout
Description: Live transform methods for Knockout observable arrays
 This plugin adds observable map, filter, indexBy and sortBy features to
 Knockout.js observable arrays, so you can transform collections in arbitrary
 ways and have the results automatically update whenever the underlying source
 data changes.
 .
 Node.js is an event-based server-side JavaScript engine.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

%:
	dh $@

override_dh_auto_build:
	make dist/knockout-transformations.min.js

override_dh_auto_test:

override_dh_auto_clean:
	rm -f dist/knockout-transformations.js dist/knockout-transformations.min.js

=== debian/watch ===
version=3
opts=\
dversionmangle=s/\+(debian|dfsg|ds|deb)(\.\d+)?$//,\
filenamemangle=s/.*\/v?([\d\.-]+)\.tar\.gz/node-knockout-transformations-$1.tar.gz/ \
 https://github.com/One-com/knockout-transformations/tags .*/archive/v?([\d\.]+).tar.gz
